Bug 161241 - usbhid claims control of Wacom PenPartner tablet
usbhid claims control of Wacom PenPartner tablet
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-21 13:08 EDT by Lukas Riha
Modified: 2015-01-04 17:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:55:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch used - please doublecheck (1.64 KB, patch)
2005-06-22 11:05 EDT, Lukas Riha
no flags Details | Diff
contents of /proc/bus/usb/devices (2.22 KB, text/plain)
2005-07-19 10:08 EDT, Lukas Riha
no flags Details
contents of /var/log/messages (1.11 KB, text/plain)
2005-07-19 10:10 EDT, Lukas Riha
no flags Details

  None (edit)
Description Lukas Riha 2005-06-21 13:08:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
When I plug in Wacom PenPartner, I cannon get it to work in any reasonable way. It seems usbhid is taking control of it, preventing wacom driver to load. Can't get the tablet to work in absolute mode.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
1.Plug-in Wacom PenPartner
2.Watch /var/log/messages and /proc/bus/usb/devices
3.
  

Actual Results:  LED lights up, tablet works in relative mode only.

Expected Results:  wacom driver would take control and it would be possible to use the tablet in absolute mode.

Additional info:

Output of /proc/bus/usb/devices :
T:  Bus=04 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  4 Spd=1.5 MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=056a ProdID=0061 Rev= 1.42
S:  Manufacturer=WACOM
S:  Product=FT-0203-UV1.4-2
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr= 40mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=usbhid
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=10ms

Output of var/log/messages :
Jun 21 18:33:15 NTB-Lukas kernel: usbcore: registered new driver wacom
Jun 21 18:33:15 NTB-Lukas kernel: drivers/usb/input/wacom.c: v1.40:USB Wacom Graphire and Wacom Intuos tablet driver
Jun 21 18:33:15 NTB-Lukas hal.hotplug[4149]: DEVPATH is not set (subsystem input)
Jun 21 18:35:00 NTB-Lukas kernel: usb 4-1: USB disconnect, address 3
Jun 21 18:35:00 NTB-Lukas hal.hotplug[4204]: DEVPATH is not set (subsystem input)
Jun 21 18:35:32 NTB-Lukas kernel: usb 4-1: new low speed USB device using uhci_hcd and address 4
Jun 21 18:35:32 NTB-Lukas kernel: input,hiddev96: USB HID v1.10 Mouse [WACOM FT-0203-UV1.4-2] on usb-0000:00:1d.2-1
Jun 21 18:35:32 NTB-Lukas hal.hotplug[4232]: DEVPATH is not set (subsystem input)

(I've also tried Graphire2 and it seems to work)
Comment 1 Lukas Riha 2005-06-22 11:05:08 EDT
Created attachment 115814 [details]
patch used - please doublecheck
Comment 2 Lukas Riha 2005-06-22 11:06:49 EDT
Got some more info - recompiled kernel with patch (included as att.), and got
these results from cat /proc/bus/usb/devices:

T:  Bus=04 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  7 Spd=1.5 MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=056a ProdID=0061 Rev= 1.42
S:  Manufacturer=WACOM
S:  Product=FT-0203-UV1.4-2
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr= 40mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=wacom
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=10ms

and these from tail /var/log/messages :

Jun 22 16:46:41 NTB-Lukas kernel: usb 4-1: new low speed USB device using
uhci_hcd and address 7
Jun 22 16:46:41 NTB-Lukas kernel: usbhid: probe of 4-1:1.0 failed with error -5
Jun 22 16:46:41 NTB-Lukas kernel: input: Wacom Penpartner 04 on usb-0000:00:1d.2-1
Jun 22 16:46:41 NTB-Lukas hal.hotplug[9049]: DEVPATH is not set (subsystem input)

The x-y point count (resolution) were taken from Wacdump 0.5.2 (from linuxwacom
0.6.8).
Please doublecheck before using, this was just my guess, but seems to work, at
least partially (got it to work in absolute mode) - have to test it more
(especially tweak the xorg.conf more).
Comment 3 Dave Jones 2005-07-15 17:41:42 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 4 Lukas Riha 2005-07-19 10:08:59 EDT
Created attachment 116930 [details]
contents of /proc/bus/usb/devices
Comment 5 Lukas Riha 2005-07-19 10:10:12 EDT
Created attachment 116931 [details]
contents of /var/log/messages
Comment 6 Lukas Riha 2005-07-19 10:14:54 EDT
Made test as requested (including creating new hwconf and modprobe.conf files).
Unfortunatelly, the results are essentially the same as when the bug was
reported. Contents of /proc/bus/usb/devices and /var/log/messages in above
attechments. 
Comment 7 Dave Jones 2005-09-30 03:14:16 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 8 Lukas Riha 2005-10-11 14:19:36 EDT
Retested, problem persists, with exactly the same results.

Also, the above "patch" doesn't work directly anymore as a result of newer
version of wacom.c source file.

I've checked linuxwacom project, they have newer versions of necessary files for
2.6.11 kernel base. Although Wacom Penpartner 2(Penpartner 2004) isn't listed by
name, the prod.id is taken by Volito 2 which might essencialy be the same
product with different name.

Thanks.

Comment 9 Dave Jones 2005-11-10 15:23:08 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 10 Lukas Riha 2005-12-02 13:51:54 EST
Tested with 2.6.14-1.1644_FC4.

If I am not mistaken, nothing has changed.

dmesg:
usb 4-1: new low speed USB device using uhci_hcd and address 3
input,hiddev96: USB HID v1.10 Mouse [WACOM FT-0203-UV1.4-2] on usb-0000:00:1d.2-1


Comment 11 Dave Jones 2005-12-27 18:27:40 EST
This looks to be fixed in 2.6.15rc (There's a preview FC4 kernel at
http://people.redhat.com/davej/kernels/Fedora/FC4, though this needs a new udev
which isn't available yet).

I'm going to do another 2.6.14 based kernel which should fix this in a few days.
Comment 12 Dave Jones 2006-02-03 01:10:52 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 13 John Thacker 2006-05-04 09:55:49 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.